; ENVI event handler routine to reload CAT config file.
;
; Created: Sep 1, 2008
; By: Frank Morgan
;
; Subroutines used:  load_cat_config
;
; Modification History:
;   Sep 01,2008 MFM: --First version
;   Feb 02,2009 MFM: --Added reload keyword to prevent envi error at startup when 
;                      there's no catconfig file

pro reload_catcfg_event, ev
  widget_control, ev.id, get_uvalue=uvalue


  ; Simple catch to prevent crash:
  catch, error
  if (error NE 0) then begin
 	cat_error_report, routine_name='reload_catcfg_event'
	return
  endif

  ; Load the config file:
  load_cat_config, /reload

end
