;
;  This file is used to identify the name of the software and
;  the current tagged release number.  We track the version
;  information using subversion keyword replacement.  This
;  is the only file in the pipeline that has the property 
;  svn:keywords set for expansion.
;
;  To tell the repository to do the expansion, use this:
;
;    $ svn propset svn:keywords "URL Rev Author Date Id" cat_version.pro
;
;  To find out if any properties are set:
;
;    $ svn proplist cat_version.pro
;
;  To find what the properties are set to:
;
;    $ svn propget svn:keywords cat_version.pro
;
; 2007-09-12  FM --modified for CAT for H.Taylor's LORRI code
; 2007-09-18  FM --bugfix; pro cat_version, not cat_version_info
; 2009-02-09  FM --Replaced version_url, version_rev etc with variables 
;                  to be replaced by svn; were already filled with URL etc

pro cat_version, software_name, version_tag

    ;
    ;  These variables are maintained by the SVN server and are updated
    ;  when files are checked out, etc.
    ;
    version_url    = '$URL: http://hardin.jhuapl.edu/svn/sis/projects/crism/CAT_ENVI/tags/7.3.1/src/save_add/CAT_programs/Setup/cat_version.pro $'
    version_rev    = '$Rev: 20737 $'
    version_author = '$Author: morgan $'
    version_date   = '$Date: 2009-02-11 10:09:35 -0500 (Wed, 11 Feb 2009) $'
    version_id     = '$Id: cat_version.pro 20737 2009-02-11 15:09:35Z morgan $'
    ;
    ;  Parse the version information from the variables maintained by SVN
    ;
    software_name = 'CAT'

    ;
    ;  If we have checked out or exported from a tag, the URL variable
    ;  will look someting like .../tags/x.y.z/...  We want the x.y.z tag.
    ;
    ;  start by looking for the following string in the url variable
    search_string = '/tags/'
    start = strpos ( version_url, search_string )
    if ( start ne -1 ) then begin
        ; next, look beyond the search string for a '/' char
        stop=strpos( strmid(version_url,start+strlen(search_string)), '/')
        ; extract everything after the search string until the next /
        version_tag = strmid(version_url,start+strlen(search_string), stop )
    endif else begin
        version_tag ='untagged'
    endelse

end
