;******************************************************************************
;
; function cat_days_in_year, year
;
; Number of days in a particular year.
;
; INPUT:
;	year     int       Year (eg 2007) (fraction truncated if float)
;
; OUTPUT PARAMETERS: none
;
; RETURN VALUE:
;	Number of days in the year (either 365 or 366)
;
; KEYWORDS: none
;
; NOTES:
;
; USES:
;
; HISTORY:
;	2009 Jun 12  F. Morgan: First version written and tested.
;
;******************************************************************************

function cat_days_in_year, year

yr = long(year)
if ((yr mod 400) eq 0) then return,366
if ((yr mod 100) eq 0) then return,365
if ((yr mod 4) eq 0) then return,366
return,365
end
