function catfile_isopen, fname, fid

; Return 0 if ENVI file "fname" is not open, 1 if it is.
; If it's open, return a corresponding FID in 'fid.'

if (n_elements(fname) eq 0) then return,0
if (~file_test(fname[0])) then return,0

fnameup = strupcase((file_search(strtrim(fname[0],2),/fully_qualify_path,/fold_case))[0])
file_already_open = 0
all_ids = envi_get_file_ids()
if (all_ids[0] ne -1) then begin
	for i=0L,n_elements(all_ids)-1 do begin
		envi_file_query, all_ids[i], fname=fnm
		if (strupcase(strtrim(fnm,2)) eq fnameup) then begin
			file_already_open = 1
			fid = all_ids[i]
			break
		endif
	endfor
endif

return,file_already_open
end
