;03/12/2008 (fps)
;02/26/2009 (osb)
;   Load fits product label (h), construct in-memory ENVI header, and open fits file in the available bands list
;03/05/2009 (mfm) 
;	Add trap to catch non-3D data open attempt that crashes on nb = naxisi(2) for 2D data.
; 


pro envi_open_fits, fname

;readin file
image=readfits(fname,label)
image=reverse(image,2)

;number of axis
naxisi=sxpar(label,'NAXIS*')

ndims = n_elements(naxisi)
if (ndims ne 3) then begin
	msg = 'FITS reader only works for 3-D spectral data cubes.'+string([10b]) $
			+ 'Selected file is ' + strtrim(ndims,2) + ' dimensions.'
	ok = dialog_message(msg, title='FITS Read Failed')
	return
endif
	
ns = naxisi(0)
nl = naxisi(1)
nb = naxisi(2)

; data type - floating point
data_type=sxpar(label,'BITPIX')
if data_type eq '-32' then data_type=4 ;floating point

band_names = sxpar(label,'CHANNEL*')

print, fname
print, ns, nl, nb
print, data_type
print, band_names,format='(A)'

envi_enter_data,image,bnames=band_names

END
