function make_xarray,s,tags
;
;Purpose: To construct an array using TNT's extended size convention.
;
;Input:
;	s: the extended size array as defined by sizex.pro

;PCM debugging print statements
;print,'s(s(0)+1)',s(s(0)+1)
;print,s(0)
;print,s(0)+2
;print,s(s(0)+2)

case s(s(0)+1) of
	7: if s(0) eq 0 then $
		array=string(bytarr(s(s(0)+2))+32b) else $
		array=make_array(dim=s(1:s(0)),$
			value=string(bytarr(s(s(0)+2))+32b))
	8: begin
		ntags=s(s(0)+2)
		;PCM debugging print statements
        ;print,'ntags=',ntags, s(0)+2
		if n_elements(tags) ne ntags then message,'Incorrect No of Tags'
		sexe='array={'
		counter=0
		;PCM debugging print statements
         ;print,'R SEXE0'
		for i=0,ntags-1 do begin
			counter=counter+s(counter)+3
			r=execute('a'+strno(i,/rem)+$
				'=make_xarray(s[counter:counter+s(counter)+2])')
			sexe=sexe+tags[i]+':a'+strno(i,/rem)+','
                        print,'SEXE=',sexe
			endfor
		strput,sexe,'}',strlen(sexe)-1
        ;PCM debugging print statements
        ;print,'R SEXE=',sexe
		r=execute(sexe)
		array=make_array(value=array[0],dim=s(1:s(0)))
		end
	else: if s(0) eq 0 then begin ; /*** Scalar Handling Section ***/
        ;PCM debugging print statements
        ;print,'scalar ',size(s)
		ss=[1,1,s(1:*)]
		array=make_array(size=ss)
		array=array(0)
		endif else begin
  			       ;PCM debugging print statements
         			;print,'matrix ',size(s)
                    ;print,'s',s
                  array=make_array(size=s);/*** Matrix Handler ***/
                endelse
	endcase
return,array
end
