function strno,nn,remove=remove,two=two,three=three,four=four,five=five,eight=eight,$
	dp1=dp1,dp2=dp2,dp3=dp3,$
	int=int,type=type,trim_zeros=trim_zeros,dpn=dpn
;
;Purpose: To convert numbers into strings in a variety of useful formats.
;
;Written by T.N. Titus, University of Wyoming.
;Last Modification: 07 APR 98. TNT.
;
;Purpose: To convert a number into a compressed string.
;
;Input:
;	nn: the number to be converted.
;
;Keywords:
;	remove: Remove all blanks.
;	two: Use this keyword with time. The output string will
;		contain two positions, eg. 01, 02, 03, etc
;	three: Use this keyword if you want 001, 002, etc.
;	four: Use this keyword if you want 0001, 0002, etc.
;	int: make the number an integer.
;	type: a scalar telling strno the number type. type=2 is equivelent to
;		/int.
;	dp1: decimal point 1: ie 1 places right of the dec point.
;	dp2: decimal point 2: ie 2 places right of the dec point.
;	dp3: decimal point 3: ie 3 places right of the dec point.
;	dpn: set dpn to the number of decimal places.  /dp1 and /dpn are =.
;
;	trim_zeros: only works with scalars, but will strip insignificant 
;		zeros out of the string.
;
on_error,2
n=nn
if keyword_set(type) then if type ne 7 then begin
	ninf=where(finite(n) eq 0)
	if ninf(0) ne -1 and type lt 4 then type=4
	m=make_array(n_elements(n),value=0,type=type)
	m(0:*)=n
	n=m
	if n_elements(n) eq 1 then n=n(0)
	endif
if keyword_set(remove) then s=strcompress(string(n),/rem) $
	else s=strcompress(string(n))
if keyword_set(two) then begin
	s=string(n,format='(I2)')
	if strmid(s,0,1) eq ' ' then strput,s,'0',0
	endif
if keyword_set(three) then begin
	s=string(n,format='(I3)')
	for ii=0,1 do if strmid(s,ii,1) eq ' ' then strput,s,'0',ii
	endif
if keyword_set(four) then begin
	s=string(n,format='(I4)')
	for ii=0,2 do if strmid(s,ii,1) eq ' ' then strput,s,'0',ii
	endif
if keyword_set(five) then begin
	s=string(n,format='(I5)')
	for ii=0,3 do if strmid(s,ii,1) eq ' ' then strput,s,'0',ii
	endif
if keyword_set(eight) then begin
	s=string(n,format='(I8)')
	for ii=0,6 do if strmid(s,ii,1) eq ' ' then strput,s,'0',ii
	endif
if keyword_set(int) then s=strcompress(string(round(n)))
if keyword_set(dp1) then s=strcompress(string(n,format='(f9.1)'))
if keyword_set(dp2) then s=strcompress(string(n,format='(f9.2)'))
if keyword_set(dp3) then s=strcompress(string(n,format='(f9.3)'))
if keyword_set(dpn) then begin
	dpn=fix(dpn)
	s=strcompress(string(n,format='(f9.'+$
		strno(dpn,/rem)+')'))
	endif

if keyword_set(trim_zeros) and strpos(s(0),'.') ne -1 then begin
	j=strlen(s)
	while strmid(s,j-1,1) eq '0' do begin
		s=strmid(s,0,j-1)
		j=j-1
		endwhile
	endif
return,s
end

